import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading MicroplexSpeedToGeneric Converter")

class MicroplexSpeedToGeneric(Converter):
	def Execute(self, myList=[], *args):
		if myList == None or myList[0] == None:
			return

		value = float(myList[0])*2.54
		return value



plugin = MicroplexSpeedToGeneric("MicroplexSpeedToGeneric")

store.AddConverter(plugin)